Subject: $2400 welcome bonus will be deposited in your new casino account!

From: "Zachery Knapp" <[email-masked]>

USA players too! Download and GO!
   
We're serious about fun. 

$2400 welcome bonus will be deposited in your new casino account! 

$2400 welcome bonus will be deposited in your new casino account! 

http://worldccasino.cn/